#include <stdio.h>
#include <string.h>
#include "res.h"

int Get1TResource(TRES *tres,unchar *resname,unchar *buff,int lin)
/* １リソースの指定行をバッファーに読み込む */
{
int i,len;
	#if 0
	/* そのリソースの行数取得 */
	len=SizeTResource(tres,resname,1);
	if (len<0) return(len);
	#endif
	
	/* そのリソースの位置まで移動 */
	len=SeekTResource(tres,resname);
	if (len) return(-len);
	#if 0
	if (lin>len) return(-4);
	#endif
	
	/* 指定行目のリソース読み出し */
	for (i=0;i<=lin;i++) {
		if (fgets(buff,TRESMAX,tres->fp)==NULL) return(-3);
	}
	len=strlen(buff);
	if (len==0) return(-2);
	buff[len-1]=0; /* 改行消し */
	return(len);
}
